LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

Installation 2013 Verson

Hello, I am trying to download a previous version of LABView because I need to run a legacy program on it. It is not compatible with newer versions. However every time I download the 2013 runtime installer it only gives me the patch installation setup, instead of the base program setup. I attached the error. Also, the url to where I am trying to download the software is https://www.ni.com/en/support/downloads/software-products/download.labview-runtime.html#359537

 

 

 

Labview_error.pngDriveTrain_error.png

0 Kudos
Message 1 of 6
(531 Views)

Verify that you are downloading the non-patch version of LabVIEW, non-NIPM based installer patches only contain the updated files and must be run on a system that already has the non-patched version of LabVIEW installed.

The ni.com download page for the non-patched LabVIEW is the following: https://www.ni.com/en/support/downloads/software-products/download.labview.html#359473 and should display as shown below:

Scott_Richardson_0-1695664031905.png

The actual URL for the download is: https://download.ni.com/support/softlib/labview/labview_development_system/2013/2013LV-64WinEng.zip 

Scott Richardson
Message 2 of 6
(510 Views)

The OP Needs the runtime engine, NOT the development. 

 

To OP, do you really need the 64-bit version? 
Is the LabVIEW program a 64-bit program ?

0 Kudos
Message 3 of 6
(482 Views)

Okay, I just went through the download of the RTE for LV2013. 

There is a error in the download files for the 64-bit version: 

If you select the NONE patch version for 2013, you will get the patch installer for f3. 

https://www.ni.com/en/support/downloads/software-products/download.labview.html#359471

 

If you select the patch installer for 2013, you will get the installer for the NONE patched version, f2. 

 

The name of the zip file that you download do NOT match was is in the zip file.

 

And it only works with Scott's links. 

0 Kudos
Message 4 of 6
(479 Views)

yes I do, I got it to work through the email support system. Thanks!

0 Kudos
Message 5 of 6
(438 Views)

I agree that the file that ni.com points to for the 2013 runtime appears to be the f3 Dev patch and not a LabVIEW runtime. The only file I see on the server is the below EXE and it is for the non-f version of the 64-bit runtime.

https://download.ni.com/support/softlib/labview/labview_runtime/2013/Windows/LVRTE2013_64bitstd.exe

 

The 2013 SP1 runtime appears to be a f6 version and that should not require any previous version to be installed.

https://download.ni.com/support/softlib/labview/labview_runtime/2013/Windows/f2/LVRTE2013_f2Patch-64... 

Scott Richardson
0 Kudos
Message 6 of 6
(419 Views)